export declare const createAccountSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    role: import("zod").ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    isGlobalFilterActive: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "username" | "password" | "role">, "strip", import("zod").ZodTypeAny, {
    username: string;
    password: string;
    role: "USER" | "ADMIN";
}, {
    username: string;
    password: string;
    role: "USER" | "ADMIN";
}>;
declare const CreateAccountDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    role: import("zod").ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    username: string;
    password: string;
    role: "USER" | "ADMIN";
}, {
    username: string;
    password: string;
    role: "USER" | "ADMIN";
}>>;
export declare class CreateAccountDto extends CreateAccountDto_base {
}
export declare const createAccountResponseSchema: import("zod").ZodObject<Omit<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    role: import("zod").ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    isGlobalFilterActive: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "password" | "created_at" | "updated_at">, "strip", import("zod").ZodTypeAny, {
    id: string;
    username: string;
    role: "USER" | "ADMIN";
    isGlobalFilterActive: boolean;
    fcmToken: string[];
}, {
    id: string;
    username: string;
    role: "USER" | "ADMIN";
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>;
declare const CreateAccountResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    role: import("zod").ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    isGlobalFilterActive: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    id: string;
    username: string;
    role: "USER" | "ADMIN";
    isGlobalFilterActive: boolean;
    fcmToken: string[];
}, {
    id: string;
    username: string;
    role: "USER" | "ADMIN";
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>>;
export declare class CreateAccountResponseDto extends CreateAccountResponseDto_base {
}
export {};
